#include <openb3d.mod/openb3d.mod/.bmx/openb3d.bmx.release.win32.x64.h>
struct BBDebugScope_1{int kind; const char *name; BBDebugDecl decls[2]; };
void _openb3d_openb3d_TGlobal_New(struct openb3d_openb3d_TGlobal_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TGlobal;
}
struct BBDebugScope_1 openb3d_openb3d_TGlobal_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TGlobal",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TGlobal_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TGlobal openb3d_openb3d_TGlobal={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TGlobal_scope,
	sizeof(struct openb3d_openb3d_TGlobal_obj),
	_openb3d_openb3d_TGlobal_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TEntity_New(struct openb3d_openb3d_TEntity_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TEntity;
}
struct BBDebugScope_1 openb3d_openb3d_TEntity_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TEntity",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TEntity_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TEntity openb3d_openb3d_TEntity={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TEntity_scope,
	sizeof(struct openb3d_openb3d_TEntity_obj),
	_openb3d_openb3d_TEntity_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TCamera_New(struct openb3d_openb3d_TCamera_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TCamera;
}
struct BBDebugScope_1 openb3d_openb3d_TCamera_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TCamera",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TCamera_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TCamera openb3d_openb3d_TCamera={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TCamera_scope,
	sizeof(struct openb3d_openb3d_TCamera_obj),
	_openb3d_openb3d_TCamera_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TLight_New(struct openb3d_openb3d_TLight_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TLight;
}
struct BBDebugScope_1 openb3d_openb3d_TLight_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TLight",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TLight_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TLight openb3d_openb3d_TLight={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TLight_scope,
	sizeof(struct openb3d_openb3d_TLight_obj),
	_openb3d_openb3d_TLight_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TPivot_New(struct openb3d_openb3d_TPivot_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TPivot;
}
struct BBDebugScope_1 openb3d_openb3d_TPivot_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TPivot",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TPivot_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TPivot openb3d_openb3d_TPivot={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TPivot_scope,
	sizeof(struct openb3d_openb3d_TPivot_obj),
	_openb3d_openb3d_TPivot_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TMesh_New(struct openb3d_openb3d_TMesh_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TMesh;
}
struct BBDebugScope_1 openb3d_openb3d_TMesh_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TMesh",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TMesh_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TMesh openb3d_openb3d_TMesh={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TMesh_scope,
	sizeof(struct openb3d_openb3d_TMesh_obj),
	_openb3d_openb3d_TMesh_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TSprite_New(struct openb3d_openb3d_TSprite_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TSprite;
}
struct BBDebugScope_1 openb3d_openb3d_TSprite_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TSprite",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TSprite_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TSprite openb3d_openb3d_TSprite={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TSprite_scope,
	sizeof(struct openb3d_openb3d_TSprite_obj),
	_openb3d_openb3d_TSprite_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TBone_New(struct openb3d_openb3d_TBone_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TBone;
}
struct BBDebugScope_1 openb3d_openb3d_TBone_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TBone",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TBone_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TBone openb3d_openb3d_TBone={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TBone_scope,
	sizeof(struct openb3d_openb3d_TBone_obj),
	_openb3d_openb3d_TBone_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TSurface_New(struct openb3d_openb3d_TSurface_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TSurface;
}
struct BBDebugScope_1 openb3d_openb3d_TSurface_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TSurface",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TSurface_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TSurface openb3d_openb3d_TSurface={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TSurface_scope,
	sizeof(struct openb3d_openb3d_TSurface_obj),
	_openb3d_openb3d_TSurface_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TTexture_New(struct openb3d_openb3d_TTexture_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TTexture;
}
struct BBDebugScope_1 openb3d_openb3d_TTexture_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TTexture",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TTexture_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TTexture openb3d_openb3d_TTexture={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TTexture_scope,
	sizeof(struct openb3d_openb3d_TTexture_obj),
	_openb3d_openb3d_TTexture_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TBrush_New(struct openb3d_openb3d_TBrush_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TBrush;
}
struct BBDebugScope_1 openb3d_openb3d_TBrush_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TBrush",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TBrush_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TBrush openb3d_openb3d_TBrush={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TBrush_scope,
	sizeof(struct openb3d_openb3d_TBrush_obj),
	_openb3d_openb3d_TBrush_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TAnimation_New(struct openb3d_openb3d_TAnimation_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TAnimation;
}
struct BBDebugScope_1 openb3d_openb3d_TAnimation_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TAnimation",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TAnimation_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TAnimation openb3d_openb3d_TAnimation={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TAnimation_scope,
	sizeof(struct openb3d_openb3d_TAnimation_obj),
	_openb3d_openb3d_TAnimation_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TPick_New(struct openb3d_openb3d_TPick_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TPick;
}
struct BBDebugScope_1 openb3d_openb3d_TPick_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TPick",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TPick_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TPick openb3d_openb3d_TPick={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TPick_scope,
	sizeof(struct openb3d_openb3d_TPick_obj),
	_openb3d_openb3d_TPick_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TTerrain_New(struct openb3d_openb3d_TTerrain_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TTerrain;
}
struct BBDebugScope_1 openb3d_openb3d_TTerrain_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TTerrain",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TTerrain_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TTerrain openb3d_openb3d_TTerrain={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TTerrain_scope,
	sizeof(struct openb3d_openb3d_TTerrain_obj),
	_openb3d_openb3d_TTerrain_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TShader_New(struct openb3d_openb3d_TShader_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TShader;
}
struct BBDebugScope_1 openb3d_openb3d_TShader_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TShader",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TShader_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TShader openb3d_openb3d_TShader={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TShader_scope,
	sizeof(struct openb3d_openb3d_TShader_obj),
	_openb3d_openb3d_TShader_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_TShadowObject_New(struct openb3d_openb3d_TShadowObject_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_TShadowObject;
}
struct BBDebugScope_1 openb3d_openb3d_TShadowObject_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"TShadowObject",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_TShadowObject_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_TShadowObject openb3d_openb3d_TShadowObject={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_TShadowObject_scope,
	sizeof(struct openb3d_openb3d_TShadowObject_obj),
	_openb3d_openb3d_TShadowObject_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

void _openb3d_openb3d_THardwareInfo_New(struct openb3d_openb3d_THardwareInfo_obj* o) {
	bbObjectCtor(o);
	o->clas = (BBClass*)&openb3d_openb3d_THardwareInfo;
}
struct BBDebugScope_1 openb3d_openb3d_THardwareInfo_scope ={
	BBDEBUGSCOPE_USERTYPE,
	"THardwareInfo",
	{
		{
			BBDEBUGDECL_TYPEMETHOD,
			"New",
			"()i",
			&_openb3d_openb3d_THardwareInfo_New
		},
		BBDEBUGDECL_END
	}
};
struct BBClass_openb3d_openb3d_THardwareInfo openb3d_openb3d_THardwareInfo={
	&bbObjectClass,
	bbObjectFree,
	&openb3d_openb3d_THardwareInfo_scope,
	sizeof(struct openb3d_openb3d_THardwareInfo_obj),
	_openb3d_openb3d_THardwareInfo_New,
	bbObjectDtor,
	bbObjectToString,
	bbObjectCompare,
	bbObjectSendMessage,
	0,
	0,
	0
};

BBINT openb3d_openb3d_AddMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh1,struct openb3d_openb3d_TMesh_obj* bbt_mesh2){
	return 0;
}
BBINT openb3d_openb3d_AddTriangle(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_v0,BBINT bbt_v1,BBINT bbt_v2){
	return 0;
}
BBINT openb3d_openb3d_AddVertex(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w){
	return 0;
}
BBINT openb3d_openb3d_AmbientLight(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	return 0;
}
BBINT openb3d_openb3d_Animate(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_Mode,BBFLOAT bbt_speed,BBINT bbt_seq,BBINT bbt_trans){
	return 0;
}
BBINT openb3d_openb3d_Animating(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_AnimLength(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_AnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBFLOAT openb3d_openb3d_AnimTime(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return .0f;
}
BBINT openb3d_openb3d_BrushAlpha(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBFLOAT bbt_a){
	return 0;
}
BBINT openb3d_openb3d_BrushBlend(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBINT bbt_blend){
	return 0;
}
BBINT openb3d_openb3d_BrushColor(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	return 0;
}
BBINT openb3d_openb3d_BrushFX(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBINT bbt_fx){
	return 0;
}
BBINT openb3d_openb3d_BrushShininess(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBFLOAT bbt_s){
	return 0;
}
BBINT openb3d_openb3d_BrushTexture(struct openb3d_openb3d_TBrush_obj* bbt_brush,struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index){
	return 0;
}
BBINT openb3d_openb3d_CameraClsColor(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	return 0;
}
BBINT openb3d_openb3d_CameraClsMode(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_cls_depth,BBINT bbt_cls_zbuffer){
	return 0;
}
BBINT openb3d_openb3d_CameraFogColor(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	return 0;
}
BBINT openb3d_openb3d_CameraFogMode(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_Mode){
	return 0;
}
BBINT openb3d_openb3d_CameraFogRange(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar){
	return 0;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_CameraPick(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y){
	return &bbNullObject;
}
BBINT openb3d_openb3d_CameraProject(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return 0;
}
BBINT openb3d_openb3d_CameraProjMode(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_Mode){
	return 0;
}
BBINT openb3d_openb3d_CameraRange(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar){
	return 0;
}
BBINT openb3d_openb3d_CameraViewport(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_x,BBINT bbt_y,BBINT bbt_width,BBINT bbt_height){
	return 0;
}
BBINT openb3d_openb3d_CameraZoom(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_zoom){
	return 0;
}
BBINT openb3d_openb3d_ClearCollisions(){
	return 0;
}
BBINT openb3d_openb3d_ClearSurface(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_clear_verts,BBINT bbt_clear_tris){
	return 0;
}
BBINT openb3d_openb3d_ClearTextureFilters(){
	return 0;
}
BBINT openb3d_openb3d_ClearWorld(BBINT bbt_entities,BBINT bbt_brushes,BBINT bbt_textures){
	return 0;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_CollisionEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return &bbNullObject;
}
BBFLOAT openb3d_openb3d_CollisionNX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return .0f;
}
BBFLOAT openb3d_openb3d_CollisionNY(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return .0f;
}
BBFLOAT openb3d_openb3d_CollisionNZ(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return .0f;
}
BBINT openb3d_openb3d_Collisions(BBINT bbt_src_no,BBINT bbt_dest_no,BBINT bbt_method_no,BBINT bbt_response_no){
	return 0;
}
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_CollisionSurface(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return &bbNullObject;
}
BBFLOAT openb3d_openb3d_CollisionTime(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return .0f;
}
BBINT openb3d_openb3d_CollisionTriangle(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return 0;
}
BBFLOAT openb3d_openb3d_CollisionX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return .0f;
}
BBFLOAT openb3d_openb3d_CollisionY(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return .0f;
}
BBFLOAT openb3d_openb3d_CollisionZ(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index){
	return .0f;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_CopyEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CopyMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
BBINT openb3d_openb3d_CountChildren(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_CountCollisions(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_CountSurfaces(struct openb3d_openb3d_TMesh_obj* bbt_mesh){
	return 0;
}
BBINT openb3d_openb3d_CountTriangles(struct openb3d_openb3d_TSurface_obj* bbt_surf){
	return 0;
}
BBINT openb3d_openb3d_CountVertices(struct openb3d_openb3d_TSurface_obj* bbt_surf){
	return 0;
}
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_CreateBrush(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b){
	return &bbNullObject;
}
struct openb3d_openb3d_TCamera_obj* openb3d_openb3d_CreateCamera(struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateCone(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateCylinder(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateCube(struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateMesh(struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TLight_obj* openb3d_openb3d_CreateLight(BBINT bbt_light_type,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TPivot_obj* openb3d_openb3d_CreatePivot(struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateSphere(BBINT bbt_segments,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TSprite_obj* openb3d_openb3d_CreateSprite(struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_CreateSurface(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TBrush_obj* bbt_brush){
	return &bbNullObject;
}
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_CreateTexture(BBINT bbt_width,BBINT bbt_height,BBINT bbt_flags,BBINT bbt_frames){
	return &bbNullObject;
}
BBFLOAT openb3d_openb3d_DeltaPitch(struct openb3d_openb3d_TEntity_obj* bbt_ent1,struct openb3d_openb3d_TEntity_obj* bbt_ent2){
	return .0f;
}
BBFLOAT openb3d_openb3d_DeltaYaw(struct openb3d_openb3d_TEntity_obj* bbt_ent1,struct openb3d_openb3d_TEntity_obj* bbt_ent2){
	return .0f;
}
BBINT openb3d_openb3d_EntityAlpha(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_alpha){
	return 0;
}
BBINT openb3d_openb3d_EntityBlend(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_blend){
	return 0;
}
BBINT openb3d_openb3d_EntityBox(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_w,BBFLOAT bbt_h,BBFLOAT bbt_d){
	return 0;
}
BBSTRING openb3d_openb3d_EntityClass(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return &bbEmptyString;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_EntityCollided(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_type_no){
	return &bbNullObject;
}
BBINT openb3d_openb3d_EntityColor(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue){
	return 0;
}
BBFLOAT openb3d_openb3d_EntityDistance(struct openb3d_openb3d_TEntity_obj* bbt_ent1,struct openb3d_openb3d_TEntity_obj* bbt_ent2){
	return .0f;
}
BBINT openb3d_openb3d_EntityFX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_fx){
	return 0;
}
BBINT openb3d_openb3d_EntityInView(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TCamera_obj* bbt_cam){
	return 0;
}
BBSTRING openb3d_openb3d_EntityName(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return &bbEmptyString;
}
BBINT openb3d_openb3d_EntityOrder(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_order){
	return 0;
}
BBINT openb3d_openb3d_EntityParent(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TEntity_obj* bbt_parent_ent,BBINT bbt_glob){
	return 0;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_EntityPick(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_Range){
	return &bbNullObject;
}
BBINT openb3d_openb3d_EntityPickMode(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_pick_mode,BBINT bbt_obscurer){
	return 0;
}
BBFLOAT openb3d_openb3d_EntityPitch(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return .0f;
}
BBINT openb3d_openb3d_EntityRadius(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_radius_x,BBFLOAT bbt_radius_y){
	return 0;
}
BBFLOAT openb3d_openb3d_EntityRoll(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return .0f;
}
BBINT openb3d_openb3d_EntityShininess(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_shine){
	return 0;
}
BBINT openb3d_openb3d_EntityTexture(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index){
	return 0;
}
BBINT openb3d_openb3d_EntityType(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_type_no,BBINT bbt_recursive){
	return 0;
}
BBINT openb3d_openb3d_EntityVisible(struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent){
	return 0;
}
BBFLOAT openb3d_openb3d_EntityX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return .0f;
}
BBFLOAT openb3d_openb3d_EntityY(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return .0f;
}
BBFLOAT openb3d_openb3d_EntityYaw(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return .0f;
}
BBFLOAT openb3d_openb3d_EntityZ(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob){
	return .0f;
}
BBINT openb3d_openb3d_ExtractAnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_first_frame,BBINT bbt_last_frame,BBINT bbt_seq){
	return 0;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_FindChild(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBSTRING bbt_child_name){
	return &bbNullObject;
}
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_FindSurface(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TBrush_obj* bbt_brush){
	return &bbNullObject;
}
BBINT openb3d_openb3d_FitMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_width,BBFLOAT bbt_height,BBFLOAT bbt_depth,BBINT bbt_uniform){
	return 0;
}
BBINT openb3d_openb3d_FlipMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh){
	return 0;
}
BBINT openb3d_openb3d_FreeBrush(struct openb3d_openb3d_TBrush_obj* bbt_brush){
	return 0;
}
BBINT openb3d_openb3d_FreeEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_FreeTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex){
	return 0;
}
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_GetBrushTexture(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBINT bbt_index){
	return &bbNullObject;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_GetChild(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_child_no){
	return &bbNullObject;
}
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_GetEntityBrush(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return &bbNullObject;
}
BBINT openb3d_openb3d_GetEntityType(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBFLOAT openb3d_openb3d_GetMatElement(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_row,BBINT bbt_col){
	return .0f;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_GetParent(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return &bbNullObject;
}
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_GetSurface(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBINT bbt_surf_no){
	return &bbNullObject;
}
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_GetSurfaceBrush(struct openb3d_openb3d_TSurface_obj* bbt_surf){
	return &bbNullObject;
}
BBINT openb3d_openb3d_HandleSprite(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBFLOAT bbt_h_x,BBFLOAT bbt_h_y){
	return 0;
}
BBINT openb3d_openb3d_HideEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_LightColor(struct openb3d_openb3d_TLight_obj* bbt_light,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue){
	return 0;
}
BBINT openb3d_openb3d_LightConeAngles(struct openb3d_openb3d_TLight_obj* bbt_light,BBFLOAT bbt_inner_ang,BBFLOAT bbt_outer_ang){
	return 0;
}
BBINT openb3d_openb3d_LightRange(struct openb3d_openb3d_TLight_obj* bbt_light,BBFLOAT bbt_Range){
	return 0;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_LinePick(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_dx,BBFLOAT bbt_dy,BBFLOAT bbt_dz,BBFLOAT bbt_radius){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_LoadAnimMesh(BBSTRING bbt_file,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_LoadAnimTexture(BBSTRING bbt_file,BBINT bbt_flags,BBINT bbt_frame_width,BBINT bbt_frame_height,BBINT bbt_first_frame,BBINT bbt_frame_count){
	return &bbNullObject;
}
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_LoadBrush(BBSTRING bbt_file,BBINT bbt_flags,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale){
	return &bbNullObject;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_LoadMesh(BBSTRING bbt_file,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_LoadTexture(BBSTRING bbt_file,BBINT bbt_flags){
	return &bbNullObject;
}
struct openb3d_openb3d_TSprite_obj* openb3d_openb3d_LoadSprite(BBSTRING bbt_tex_file,BBINT bbt_tex_flag,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
BBFLOAT openb3d_openb3d_MeshDepth(struct openb3d_openb3d_TMesh_obj* bbt_mesh){
	return .0f;
}
BBFLOAT openb3d_openb3d_MeshHeight(struct openb3d_openb3d_TMesh_obj* bbt_mesh){
	return .0f;
}
BBFLOAT openb3d_openb3d_MeshWidth(struct openb3d_openb3d_TMesh_obj* bbt_mesh){
	return .0f;
}
BBINT openb3d_openb3d_MoveEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return 0;
}
BBINT openb3d_openb3d_NameEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBSTRING bbt_name){
	return 0;
}
BBINT openb3d_openb3d_PaintEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TBrush_obj* bbt_brush){
	return 0;
}
BBINT openb3d_openb3d_PaintMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TBrush_obj* bbt_brush){
	return 0;
}
BBINT openb3d_openb3d_PaintSurface(struct openb3d_openb3d_TSurface_obj* bbt_surf,struct openb3d_openb3d_TBrush_obj* bbt_brush){
	return 0;
}
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_PickedEntity(){
	return &bbNullObject;
}
BBFLOAT openb3d_openb3d_PickedNX(){
	return .0f;
}
BBFLOAT openb3d_openb3d_PickedNY(){
	return .0f;
}
BBFLOAT openb3d_openb3d_PickedNZ(){
	return .0f;
}
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_PickedSurface(){
	return &bbNullObject;
}
BBFLOAT openb3d_openb3d_PickedTime(){
	return .0f;
}
BBINT openb3d_openb3d_PickedTriangle(){
	return 0;
}
BBFLOAT openb3d_openb3d_PickedX(){
	return .0f;
}
BBFLOAT openb3d_openb3d_PickedY(){
	return .0f;
}
BBFLOAT openb3d_openb3d_PickedZ(){
	return .0f;
}
BBINT openb3d_openb3d_PointEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TEntity_obj* bbt_target_ent,BBFLOAT bbt_roll){
	return 0;
}
BBINT openb3d_openb3d_PositionEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	return 0;
}
BBINT openb3d_openb3d_PositionMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_px,BBFLOAT bbt_py,BBFLOAT bbt_pz){
	return 0;
}
BBINT openb3d_openb3d_PositionTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBFLOAT bbt_u_pos,BBFLOAT bbt_v_pos){
	return 0;
}
BBFLOAT openb3d_openb3d_ProjectedX(){
	return .0f;
}
BBFLOAT openb3d_openb3d_ProjectedY(){
	return .0f;
}
BBFLOAT openb3d_openb3d_ProjectedZ(){
	return .0f;
}
BBINT openb3d_openb3d_RenderWorld(){
	return 0;
}
BBINT openb3d_openb3d_ResetEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_RotateEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	return 0;
}
BBINT openb3d_openb3d_RotateMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_pitch,BBFLOAT bbt_yaw,BBFLOAT bbt_roll){
	return 0;
}
BBINT openb3d_openb3d_RotateSprite(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBFLOAT bbt_ang){
	return 0;
}
BBINT openb3d_openb3d_RotateTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBFLOAT bbt_ang){
	return 0;
}
BBINT openb3d_openb3d_ScaleEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	return 0;
}
BBINT openb3d_openb3d_ScaleMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_sx,BBFLOAT bbt_sy,BBFLOAT bbt_sz){
	return 0;
}
BBINT openb3d_openb3d_ScaleSprite(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBFLOAT bbt_s_x,BBFLOAT bbt_s_y){
	return 0;
}
BBINT openb3d_openb3d_ScaleTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale){
	return 0;
}
BBINT openb3d_openb3d_SetAnimTime(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_time,BBINT bbt_seq){
	return 0;
}
BBINT openb3d_openb3d_SetCubeFace(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_face){
	return 0;
}
BBINT openb3d_openb3d_SetCubeMode(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_Mode){
	return 0;
}
BBINT openb3d_openb3d_ShowEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent){
	return 0;
}
BBINT openb3d_openb3d_SpriteViewMode(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBINT bbt_Mode){
	return 0;
}
BBINT openb3d_openb3d_TextureBlend(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_blend){
	return 0;
}
BBINT openb3d_openb3d_TextureCoords(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_coords){
	return 0;
}
BBINT openb3d_openb3d_TextureHeight(struct openb3d_openb3d_TTexture_obj* bbt_tex){
	return 0;
}
BBINT openb3d_openb3d_TextureFilter(BBSTRING bbt_match_text,BBINT bbt_flags){
	return 0;
}
BBSTRING openb3d_openb3d_TextureName(struct openb3d_openb3d_TTexture_obj* bbt_tex){
	return &bbEmptyString;
}
BBINT openb3d_openb3d_TextureWidth(struct openb3d_openb3d_TTexture_obj* bbt_tex){
	return 0;
}
BBFLOAT openb3d_openb3d_TFormedX(){
	return .0f;
}
BBFLOAT openb3d_openb3d_TFormedY(){
	return .0f;
}
BBFLOAT openb3d_openb3d_TFormedZ(){
	return .0f;
}
BBINT openb3d_openb3d_TFormNormal(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent){
	return 0;
}
BBINT openb3d_openb3d_TFormPoint(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent){
	return 0;
}
BBINT openb3d_openb3d_TFormVector(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent){
	return 0;
}
BBINT openb3d_openb3d_TranslateEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	return 0;
}
BBINT openb3d_openb3d_TriangleVertex(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_tri_no,BBINT bbt_corner){
	return 0;
}
BBINT openb3d_openb3d_TurnEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob){
	return 0;
}
BBINT openb3d_openb3d_UpdateNormals(struct openb3d_openb3d_TMesh_obj* bbt_mesh){
	return 0;
}
BBINT openb3d_openb3d_UpdateWorld(BBFLOAT bbt_anim_speed){
	return 0;
}
BBFLOAT openb3d_openb3d_VectorPitch(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz){
	return .0f;
}
BBFLOAT openb3d_openb3d_VectorYaw(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexAlpha(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexBlue(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBINT openb3d_openb3d_VertexColor(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b,BBFLOAT bbt_a){
	return 0;
}
BBINT openb3d_openb3d_VertexCoords(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return 0;
}
BBFLOAT openb3d_openb3d_VertexGreen(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBINT openb3d_openb3d_VertexNormal(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_nx,BBFLOAT bbt_ny,BBFLOAT bbt_nz){
	return 0;
}
BBFLOAT openb3d_openb3d_VertexNX(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexNY(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexNZ(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexRed(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBINT openb3d_openb3d_VertexTexCoords(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w,BBINT bbt_coord_set){
	return 0;
}
BBFLOAT openb3d_openb3d_VertexU(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexV(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexW(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexX(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexY(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBFLOAT openb3d_openb3d_VertexZ(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid){
	return .0f;
}
BBINT openb3d_openb3d_Wireframe(BBINT bbt_enable){
	return 0;
}
BBINT openb3d_openb3d_AddAnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_length){
	return 0;
}
BBINT openb3d_openb3d_AlignToVector(struct openb3d_openb3d_TEntity_obj* bbt_entity,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_axis,BBINT bbt_rate){
	return 0;
}
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreatePlane(BBINT bbt_divisions,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
struct openb3d_openb3d_TTerrain_obj* openb3d_openb3d_CreateTerrain(BBINT bbt_size,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
BBINT openb3d_openb3d_LoadAnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBSTRING bbt_file){
	return 0;
}
struct openb3d_openb3d_TTerrain_obj* openb3d_openb3d_LoadTerrain(BBSTRING bbt_file,struct openb3d_openb3d_TEntity_obj* bbt_parent){
	return &bbNullObject;
}
BBINT openb3d_openb3d_MeshesIntersect(struct openb3d_openb3d_TMesh_obj* bbt_mesh1,struct openb3d_openb3d_TMesh_obj* bbt_mesh2){
	return 0;
}
BBINT openb3d_openb3d_ModifyTerrain(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z,BBFLOAT bbt_new_height){
	return 0;
}
BBINT openb3d_openb3d_SetAnimKey(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_frame,BBINT bbt_pos_key,BBINT bbt_rot_key,BBINT bbt_scale_key){
	return 0;
}
BBFLOAT openb3d_openb3d_TerrainHeight(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z){
	return .0f;
}
BBFLOAT openb3d_openb3d_TerrainX(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return .0f;
}
BBFLOAT openb3d_openb3d_TerrainY(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return .0f;
}
BBFLOAT openb3d_openb3d_TerrainZ(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z){
	return .0f;
}
static int __bb_openb3d_openb3d_openb3d_inited = 0;
int __bb_openb3d_openb3d_openb3d(){
	if (!__bb_openb3d_openb3d_openb3d_inited) {
		__bb_openb3d_openb3d_openb3d_inited = 1;
		__bb_brl_blitz_blitz();
		__bb_openb3d_openb3dlib_openb3dlib();
		__bb_brl_glmax2d_glmax2d();
		__bb_brl_bmploader_bmploader();
		__bb_brl_pngloader_pngloader();
		__bb_brl_jpgloader_jpgloader();
		__bb_brl_retro_retro();
		__bb_brl_map_map();
		bbObjectRegisterType(&openb3d_openb3d_TGlobal);
		bbObjectRegisterType(&openb3d_openb3d_TEntity);
		bbObjectRegisterType(&openb3d_openb3d_TCamera);
		bbObjectRegisterType(&openb3d_openb3d_TLight);
		bbObjectRegisterType(&openb3d_openb3d_TPivot);
		bbObjectRegisterType(&openb3d_openb3d_TMesh);
		bbObjectRegisterType(&openb3d_openb3d_TSprite);
		bbObjectRegisterType(&openb3d_openb3d_TBone);
		bbObjectRegisterType(&openb3d_openb3d_TSurface);
		bbObjectRegisterType(&openb3d_openb3d_TTexture);
		bbObjectRegisterType(&openb3d_openb3d_TBrush);
		bbObjectRegisterType(&openb3d_openb3d_TAnimation);
		bbObjectRegisterType(&openb3d_openb3d_TPick);
		bbObjectRegisterType(&openb3d_openb3d_TTerrain);
		bbObjectRegisterType(&openb3d_openb3d_TShader);
		bbObjectRegisterType(&openb3d_openb3d_TShadowObject);
		bbObjectRegisterType(&openb3d_openb3d_THardwareInfo);
		return 0;
	}
	return 0;
}